---

.container-build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - mkdir -p /kaniko/.docker
    - echo "{\"auths\":{\"${CI_REGISTRY}\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}" | base64 -w 0)\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --context "${CI_PROJECT_DIR}/${PLATFORM}/${OSVERSION}/"
      --dockerfile "${CI_PROJECT_DIR}/${PLATFORM}/${OSVERSION}/Dockerfile"
      --destination "${CI_REGISTRY_IMAGE}/${PLATFORM}:${OSVERSION}"
  rules:
    - changes:
      - ${PLATFORM}/${OSVERSION}/*